require 'pavlok/stimulus'
require 'pavlok/web'

class Pavlok
  attr_reader :token
  
  def initialize(token)
    @token = token
  end
  
  def zap(intensity:, message:)
    Pavlok::Web.send(build_stimulus("zap", intensity, message))
  end
  
  def beep(intensity:, message:)
    Pavlok::Web.send(build_stimulus("zap", intensity, message))
  end
  
  def vibration(intensity:, message:)
    Pavlok::Web.send(build_stimulus("zap", intensity, message))
  end
  
  def user_info
    "not yet implemented"
  end
  
  def possibilities
    puts [
      "#zap -> send zap to user",
      "#beep -> send beep to user",
      "#vibration -> send vibration to user",
      "#user_info -> fetches information about the user"
    ]
  end
  def build_stimulus(kind, intensity, message)
    Pavlok::Stimulus.send("make_#{kind}".to_sym, *[intensity, zap])
  end
end